=== debian/changelog ===
zug (0.1.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Oct 2023 12:48:36 -0700

zug (0.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * update-catch2.diff: mention https://github.com/arximboldi/zug/pull/36 that
    will fix the issue in the long term.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Aug 2023 22:04:48 +0200

zug (0.1.0-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Jul 2023 13:47:27 +0200
