=== debian/control ===
Source: zug
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.8~), debhelper-compat (= 13), libboost-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/arximboldi/zug
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/zug
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/zug.git

Package: libzug-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libboost-dev, ${misc:Depends}
Description: C++ library providing transducers -- development files
 zug is a C++ library providing transducers. Transducers are composable
 sequential transformations independent of the source. They are extremely
 lightweight, and can be used to express algorithms over pull-based sequences
 (iterators, files) but also push based sequences (signals, events,
 asynchronous streams) in a generic way.
 .
 This package contains the development files.
