=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
	  -Dzug_BUILD_EXAMPLES=OFF \
	  -Dzug_BUILD_DOCS=OFF

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	dh_auto_build -- tests
endif

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
