## zug 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,24 @@
 project(zug VERSION 0.1.0)
 
 set(CMAKE_CXX_STANDARD 14)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 set(CMAKE_EXPORT_COMPILE_COMMANDS on)
 set(CMAKE_CXX_EXTENSIONS off)
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments")
 endif()
 
+include(GNUInstallDirs)
+
+option(DISABLE_WERROR "enable --werror")
+
 option(zug_BUILD_TESTS "Build tests" ON)
 option(zug_BUILD_EXAMPLES "Build examples" ON)
 option(zug_BUILD_DOCS "Build docs" ON)
+
+if (NOT MSVC AND NOT DISABLE_WERROR)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+endif()
 
 #  Targets
 #  =======
@@ -35,11 +43,11 @@
 target_include_directories(zug INTERFACE
   $<BUILD_INTERFACE:${zug_BINARY_DIR}/>
   $<BUILD_INTERFACE:${zug_SOURCE_DIR}/>
-  $<INSTALL_INTERFACE:include>)
+  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 
 install(TARGETS zug EXPORT ZugConfig)
-install(EXPORT ZugConfig DESTINATION lib/cmake/Zug)
-install(DIRECTORY zug DESTINATION include)
+install(EXPORT ZugConfig DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Zug")
+install(DIRECTORY zug DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
 
 enable_testing()
 add_custom_target(check
@@ -49,9 +57,9 @@
 
 # the library, local development target
 if(zug_BUILD_TESTS)
+  find_package(Catch2 REQUIRED)
+
   add_library(zug-dev INTERFACE)
-  target_include_directories(zug-dev SYSTEM INTERFACE
-    "$<BUILD_INTERFACE:${zug_SOURCE_DIR}/>/tools/include")
   target_link_libraries(zug-dev INTERFACE zug)
   if (ENABLE_COVERAGE)
     target_compile_options(zug-dev INTERFACE "--coverage")
