=== test/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,6 @@
   set_target_properties(${_target} PROPERTIES OUTPUT_NAME ${_output})
   add_dependencies(tests ${_target})
   target_compile_definitions(${_target} PUBLIC CATCH_CONFIG_MAIN)
-  target_link_libraries(${_target} PUBLIC zug-dev)
+  target_link_libraries(${_target} PUBLIC zug-dev Catch2::Catch2)
   add_test("test/${_output}" ${_output})
 endforeach()
