=== debian/changelog ===
zug (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - update-catch2.diff: drop, the embedded copy of doctest was dropped
  * Update the build dependencies according to the upstream build system:
    - add catch2
  * Update copyright.
  * Pass -DDISABLE_WERROR=ON to cmake to not use -Werror when building.
  * Disable the tests for now: they assume Catch2 v2.x, and v3 requires changes.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Oct 2023 20:51:14 +0200
