=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: zug
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: cmake (>= 3.8~), debhelper-compat (= 13), libboost-dev
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: catch2,
+               cmake (>= 3.8~),
+               debhelper-compat (= 13),
+               libboost-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/arximboldi/zug
@@ -15,7 +17,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libboost-dev, ${misc:Depends}
+Depends: ${misc:Depends},
+         libboost-dev,
 Description: C++ library providing transducers -- development files
  zug is a C++ library providing transducers. Transducers are composable
  sequential transformations independent of the source. They are extremely
