=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
	  -DDISABLE_WERROR=ON \
	  -Dzug_BUILD_TESTS=OFF \
	  -Dzug_BUILD_EXAMPLES=OFF \
	  -Dzug_BUILD_DOCS=OFF

ifeq (disabledfornow,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	dh_auto_build -- tests
endif
