=== debian/changelog ===
zug (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jan 2026 06:52:58 +0100
