=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: zug
 Section: libs
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: catch2,
-               cmake (>= 3.8~),
+               cmake (>= 3.10~),
                debhelper-compat (= 13),
                libboost-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/arximboldi/zug
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/zug
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/zug.git
